module Main where

import Internal.MixedTabularList
import Brick.Widgets.TabularList.Mixed

main :: IO ()
main = do
  let msgs = [ "Press Up arrow or k to go up one item"
             , "Press Down arrow or j to go down one item"
             , "Press PageUp or Ctrl+b to go up one page"
             , "Press PageDown or Ctrl+f to go down one page"
             , "Press Home or g to go to the beginning"
             , "Press End or G to go to the end"
             , "Press Ctrl+u to go up half page"
             , "Press Ctrl+d to go down half page" ]
  runMain msgs $ \e -> do
    handleMixedListEvent e
    handleMixedListEventVi e
